Register

Register a model config to a project and optionally add it to an
experiment.

If the project name provided does not exist, a new project will be created
automatically.

If an experiment name is provided, the specified experiment must already
exist. Otherwise, an error will be raised.

If the model config is the first to be associated to the project, it will
be set as the active model config.

Body Params

Model config request.

Contains fields that are common to all (i.e. both chat and complete) endpoints.

string

A friendly display name for the model config. If not provided, a name will be generated.

string

A description of the model config.

string
enum
Defaults to openai

Supported model providers.

string
required

The model instance used. E.g. text-davinci-002.

integer
Defaults to -1

The maximum number of tokens to generate. Provide max_tokens=-1 to dynamically calculate the maximum number of tokens to generate given the length of the prompt

number
Defaults to 1

What sampling temperature to use when making a generation. Higher values means the model will be more creative.

number
Defaults to 1

An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass.

string | array

The string (or list of strings) after which the model will stop generating. The returned text will not contain the stop sequence.

number
Defaults to 0

Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the generation so far.

number
Defaults to 0

Number between -2.0 and 2.0. Positive values penalize new tokens based on how frequently they appear in the generation so far.

other
object

Other parameter values to be passed to the provider call.

integer

If specified, model will make a best effort to sample deterministically, but it is not guaranteed.

response_format
object

Response format of the model.

string

Unique project name. If it does not exist, a new project will be created.

string

Unique project ID

string

If specified, the model config will be added to this experiment. Experiments are used for A/B testing and optimizing hyperparameters.

string

Prompt template that will take your specified inputs to form your final request to the provider model. NB: Input variables within the prompt template should be specified with syntax: {{INPUT_NAME}}.

chat_template
array of objects

Messages prepended to the list of messages sent to the provider. These messages that will take your specified inputs to form your final request to the provider model. NB: Input variables within the prompt template should be specified with syntax: {{INPUT_NAME}}.

Chat template
string
enum
Defaults to complete

Supported model provider endpoints.

Allowed:
tools
array

Make tools available to OpenAIs chat model as functions.

Tools - equivalent to OpenAI functions.
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json